:host ::ng-deep .line-clamp {
    display: block;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    position: relative;
    -webkit-line-clamp: 3;
    line-height: 1.2;
    overflow: hidden;
    text-overflow: ellipsis;
  }